List Banks

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Lists the banks you can pay out to. The currency query parameter is required.

📘

Note!

The bank code attached to each bank in the response from this endpoint is going to be required when trying to verify bank account and add a payout account.

Request:

FieldTypeDescription
currencyStringThree letters ISO currency code e.g ngn (Compulsory Query Parameter)

Example request

curl --location 'https://api.myvendy.com/banks?currency=ngn' \
--header "AccessKey: $VENDY_ACCESS_KEY" \
--header "SecretKey: $VENDY_SECRET_KEY"

Response:

FieldTypeDescription
statusBooleanStates if request was successfully executed or not
codeIntegerInternal code, success if 200
dataJsonArrayList of supported bank details, their names and codes

Example response

The response lists every supported bank. This example shows three.

{
    "status": true,
    "code": 200,
    "msg": "Banks",
    "error": "Banks",
    "data": [
        {
            "name": "ACCESS BANK",
            "code": "000014",
            "ussdTemplate": null,
            "baseUssdCode": null,
            "transferUssdTemplate": null
        },
        {
            "name": "GUARANTY TRUST BANK",
            "code": "000013",
            "ussdTemplate": null,
            "baseUssdCode": null,
            "transferUssdTemplate": null
        },
        {
            "name": "ZENITH BANK",
            "code": "000015",
            "ussdTemplate": null,
            "baseUssdCode": null,
            "transferUssdTemplate": null
        }
    ]
}
Query Params
string

3 letter ISO currency of country

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json